Subject: bug#911: 23.0.60; custom-set-faces causes "New Frame" to fail

From: Chong Yidong <[email-masked]>
Date: Thu, 25 Sep 2008 10:31:16 -0400

martin rudalics <[email-masked]> writes:

>> How about defining a variable `frame-set-background-mode-bg-mode'?  If
>> it's nil, frame-set-background-mode uses the existing calculation to
>> determine whether it's light or dark; if it's non-nil, it uses that
>> existing value.  This should prevent the oscillation.
>
> But who would be responsible for setting and resetting that variable?
> Hardly `frame-set-background-mode' itself.  Would we make this a frame
> parameter so the command loop can reset it and allow to change it once
> and only once for a command?  Otherwise, we might risk reentering the
> loop with the next call of `frame-set-background-mode'.

Why not in frame-set-background-mode itself?  Then, when it's set,
subsequent calls to that function could be no-ops.

> BTW, it seems you already closed bug#911 ...

Sorry, I must have mistyped when trying to close a different bug.
Reopened.